[Ben Finney, 2016-10-17]
> I don't know why, but you snipped the sentence where I give an example:

Your mail suggested that there's a problem with dh-python in general and
not with one of your packages only...

> Ben Finney wrote:
> > How can I convince ‘dh-python’ to derive Debian package dependencies
> > from the Setuptools ‘install_requires’ declaration? For example,
> > <URL:https://mentors.debian.net/debian/pool/main/m/mullvad-client/mullvad-client_60+dfsg.1-1.dsc>
> > declares dependencies that ‘dh_python2’ does not detect; the resulting
> > binary has none of the Python dependent packages declared.

after making it buildable (missing "r" in VCS-Browser field),
this one worked perfectly fine for me (tested with dh_python2 1.20141111-2)
so I assumed you pointed us to a wrong example
Piotr Ożarowski                         Debian GNU/Linux Developer
www.ozarowski.pl          www.griffith.cc           www.debian.org
GPG Fingerprint: 1D2F A898 58DA AF62 1786 2DF7 AEF6 F1A2 A745 7645

Reply via email to